Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections.grid
Class RulerGridPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.grid.RulerGridPropertySection

All Implemented Interfaces:
  ISection

    public class RulerGridPropertySection

extends AbstractPropertySection

Field Summary

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`RulerGridPropertySection()`

Method Summary
`void` `createControls(Composite parent, TabbedPropertySheetPage aTabbedPropertySheetPage)`
`void` `dispose()`
`void` `setInput(IWorkbenchPart part, ISelection selection)`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`aboutToBeHidden, aboutToBeShown, getMinimumHeight, getPart, getSelection, getWidgetFactory, refresh, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RulerGridPropertySection

    public RulerGridPropertySection()

Method Detail

### createControls

    public void createControls(Composite parent,
                               TabbedPropertySheetPage aTabbedPropertySheetPage)

  Specified by:
    `createControls` in interface `ISection`
  Overrides:
    `createControls` in class `AbstractPropertySection`

### setInput

    public void setInput(IWorkbenchPart part,
                         ISelection selection)

  Specified by:
    `setInput` in interface `ISection`
  Overrides:
    `setInput` in class `AbstractPropertySection`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `ISection`
  Overrides:
    `dispose` in class `AbstractPropertySection`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.